# Memento Composer

## Composer files (.json / .lock)

- The composer.json and composer.lock files **must** be committed at the same time.
- A pre-commit hook (`GrumPHP`) and the CI checks it too.

Manually you can [check it](https://getcomposer.org/doc/03-cli.md#validate) by running the following command line:

```bash
composer validate
    # ---> check if your composer.json is valid
    # ---> check if composer.lock exists and is up to date.
```

## Download packages in parallel

- [hirak/prestissimo](https://packagist.org/packages/hirak/prestissimo), a composer plugin that downloads packages in parallel
- `hirak/prestissimo` must be installed globaled for the user who launch `composer install` command.

```bash
composer global require hirak/prestissimo

    # hirak/prestissimo requires ext-curl
    php -v
    sudo apt -y install php<Major.Minor>-curl
```

https://getcomposer.org/doc/03-cli.md#bash-completions

audit                    checks for and lists security vulnerability advisories according to the Packagist.org api.
check-platform-reqs      Check that platform requirements are satisfied.
clear-cache              Clears composer's internal package cache.
clearcache               Clears composer's internal package cache.

diagnose                 Diagnoses the system to identify common errors.


dump-env                 Compiles .env files to .env.local.php.

outdated                 Shows a list of installed packages that have updates available, including their latest version.
status                   Shows a list of locally modified packages.
suggests                 Shows package suggestions.

update                   Upgrades your dependencies to the latest version according to composer.json, and updates the composer.lock file.
upgrade                  Upgrades your dependencies to the latest version according to composer.json, and updates the composer.lock file.
validate                 Validates a composer.json and composer.lock.

